> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-public-trades/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get public spread trades GET https://www.okx.com/api/v5/sprd/public-trades Retrieve the most recent public trades of a spread executed across all traders. This is a public endpoint. Reference: https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-public-trades ## Request ### Query parameters - `sprdId` (string, optional) — Spread ID, e.g. BTC-USDT_BTC-USDT-SWAP. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5SprdPublicTradesGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5SprdPublicTradesGetResponsesContentApplicationJsonSchemaDataItems - `sprdId` (string, optional) — Spread ID. - `tradeId` (string, optional) — Trade ID. - `px` (string, optional) — Trade price. - `sz` (string, optional) — Trade quantity. - `side` (string, optional) — Trade direction of the taker. - `ts` (string, optional) — Trade time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "sprdId": "BTC-USDT_BTC-USDC-SWAP", "tradeId": "242720719", "px": "964.1", "sz": "0.1", "side": "sell", "ts": "1654161641568" } ] } ``` **SDK Code** ```python spreadTrading_getPublicTrades_example import requests url = "https://www.okx.com/api/v5/sprd/public-trades" response = requests.get(url) print(response.json()) ``` ```javascript spreadTrading_getPublicTrades_example const url = 'https://www.okx.com/api/v5/sprd/public-trades'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go spreadTrading_getPublicTrades_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/sprd/public-trades" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby spreadTrading_getPublicTrades_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/sprd/public-trades") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java spreadTrading_getPublicTrades_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/sprd/public-trades") .asString(); ``` ```php spreadTrading_getPublicTrades_example request('GET', 'https://www.okx.com/api/v5/sprd/public-trades'); echo $response->getBody(); ``` ```csharp spreadTrading_getPublicTrades_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/sprd/public-trades"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift spreadTrading_getPublicTrades_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/sprd/public-trades")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```